summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.34.55.ebuild58
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.34.55.ebuild67
-rw-r--r--dev-python/django/Manifest6
-rw-r--r--dev-python/django/django-3.2.24.ebuild109
-rw-r--r--dev-python/django/django-3.2.25.ebuild2
-rw-r--r--dev-python/django/django-4.2.10.ebuild100
-rw-r--r--dev-python/django/django-4.2.11.ebuild2
-rw-r--r--dev-python/django/django-5.0.2.ebuild100
-rw-r--r--dev-python/django/django-5.0.3.ebuild2
-rw-r--r--dev-python/urwid/Manifest4
-rw-r--r--dev-python/urwid/metadata.xml6
-rw-r--r--dev-python/urwid/urwid-2.3.4.ebuild30
-rw-r--r--dev-python/urwid/urwid-2.4.6.ebuild30
-rw-r--r--dev-python/urwid/urwid-2.5.3.ebuild33
-rw-r--r--dev-python/urwid/urwid-2.6.5.ebuild30
-rw-r--r--dev-python/urwid/urwid-2.6.7.ebuild37
-rw-r--r--dev-python/urwid/urwid-2.6.8.ebuild47
-rw-r--r--dev-python/uv/Manifest4
-rw-r--r--dev-python/uv/files/uv-0.1.13-skip-tests.patch48
-rw-r--r--dev-python/uv/metadata.xml9
-rw-r--r--dev-python/uv/uv-0.1.13.ebuild96
23 files changed, 386 insertions, 436 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 2e59dc851128..8fa60631f6ec 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,3 +1,4 @@
DIST boto3-1.34.44.gh.tar.gz 775883 BLAKE2B 97648819e48af3bbdec76ca47f5532cf9f0a99845f90515cbc7bec02bd5cc04ed5cc842b55cd589a8fb1cd8852edf4d12d3e8a23320e23fd4c5920854ef588d3 SHA512 310689dd7fc3a08c3a8ed6e223381870f028ee07354f74654abafc893f8230fee82bcd136c9e04a675a06bad496458f6778e6d571e75f6541130b3e06cdf324a
DIST boto3-1.34.49.gh.tar.gz 777028 BLAKE2B 3f78be7cffeca8dec5c7e1b8fcb2e4081e8d5b6f85becea5deeebd8de3d8c038db5c5e827831c829e3943860a10144e7dd565136c6dfad4f39540a7eaa2bacda SHA512 dbd9fdb33f0d29d8ba4ef8b6bdb5bf5b9585306e6a0e1fffeea42d38fad503555763361c5b14991d58303f7e1edc481e026ba195638044efc476a25bd467675e
DIST boto3-1.34.54.gh.tar.gz 779564 BLAKE2B f61a74f6a317af6f180edb047e8c37e55c2d497c9507728eb098e2627d071aa56bae037a4bb8582774a49b20d0c1794a8793ab3d8e92d90071de3caf1d32bc2b SHA512 e3549e7b7ad254eafff60eb9bd21aa179f2840c2097874fb0a0602e767dbcf203742629eeaffe6432db65c3f76c326032e700cebb7ea92ebb7305ae6e26173ba
+DIST boto3-1.34.55.gh.tar.gz 779897 BLAKE2B 9ca34cb517a0117e91945658ce67d8bc16569931846ef3cf61157a988ee3a6935b8da7581be39304c93bb3a7ae089925abce95e8dfbf4369910d3bb02d232dbe SHA512 9cc45a125817ea1a442c72ba2759e8189dad3a3538f236afa980a3a8203e1ff85d8341b1f9c59bacd066b3b01a1e3a715d3deec42dfbe1846859229517a51e8c
diff --git a/dev-python/boto3/boto3-1.34.55.ebuild b/dev-python/boto3/boto3-1.34.55.ebuild
new file mode 100644
index 000000000000..c6201d2c5818
--- /dev/null
+++ b/dev-python/boto3/boto3-1.34.55.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 8c95015c56f1..33b1157c5897 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,3 +1,4 @@
DIST botocore-1.34.44.gh.tar.gz 12716767 BLAKE2B 335d59ae57ae5a5a1bdb44c3e196dff18cb24dd4a4d3beb59e7b8e887d5cc56f0716b2e4fead0c9a4c96978d661308fb0f1e045300e7af69c94ed799bb25a2ef SHA512 12893173c0123711f496448e661bb8e463fcc29ac95c500fe427e2dcf9810659b92de1d38ec3192e1e20a92ca01a5315733f34d0ffe61f2c9b69763e427ee96f
DIST botocore-1.34.49.gh.tar.gz 12729109 BLAKE2B 8029fd3530f8c29e7375eaf369944ada9977a1e445eec3151f2babcd6a6480e8c9a8109f31687b588c50691dca62e635beafbcca71f3a6961d23937fa7e613d0 SHA512 8722a965658c55b35880c65b0b4b8d466691752de4b7654657fe583e4dec36f09910f8298f29099cd035e3acf0622734597e4269d2a4e71eecfc3a7fcf6825bc
DIST botocore-1.34.54.gh.tar.gz 12748623 BLAKE2B 2b4732636e0d7cf46e12fc2cf4320c7c4a89c79abe5102a06c0b60c61ca1f638edbfeda0248c3044dbfe594b3dcfe0e8e73f52011bcad0e96fa4c51f3b6b944f SHA512 36fbbd8ad1627b86723ffbb54149ffb7b740831cb31be2e9c0423d158c5755161ec853ef5f97f4fa2632116099266d5f8dc06e47fda6356f988eb39636f435aa
+DIST botocore-1.34.55.gh.tar.gz 12750876 BLAKE2B 48222899d97aeea39c471ad1822641bad227e80afce7dee31a6acda21bf87d1cb48cbb39a5bad8851af2ecf14bc524ae55c15127318d2ccf4b8e0c851d2fd077 SHA512 8bc8b35a1e06c1fcc4902cb8ab97b3a6b75cc0e32fc7ab4d656378751846af4ef536513496328281068cbdfaed9cb8d06d13e9d0b2760e4090c660dc7950b897
diff --git a/dev-python/botocore/botocore-1.34.55.ebuild b/dev-python/botocore/botocore-1.34.55.ebuild
new file mode 100644
index 000000000000..857224b496b7
--- /dev/null
+++ b/dev-python/botocore/botocore-1.34.55.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/django/Manifest b/dev-python/django/Manifest
index 7aacaebb9007..21c5ecde2ca5 100644
--- a/dev-python/django/Manifest
+++ b/dev-python/django/Manifest
@@ -1,13 +1,7 @@
-DIST Django-3.2.24.checksum.txt 2583 BLAKE2B 87fa39627676d4ce75058df6dfc286eae160401b617a8c6e0e249cb4f2c608e00e9bd23ae8fd46fe405dc7fa94a2cd684dc943298dd4af430e370bf77ef0a386 SHA512 1475ec74eb389db2bb47cc5fb00080907a59534cc9f48ac9e5e3b275cbf8de3ada43377fe4e1ab22dfa30a43069e04db2f7a1a441cb60119bb5f835fd3a5ccb8
-DIST Django-3.2.24.tar.gz 9833004 BLAKE2B d3809547f95aa266c1287cfa6d1fee32561456dc55763124138ed9b3afe2071b2bd45a737814210cc47c3d0033326ddebdc62f7c2902c6719d95a6ff895e5c1b SHA512 840b4c87e159d9714ac816fffb09faba76d3b130a76caffff68b7edd59e9488832ccd8c5ffaa8f0d066f0faa029f6ef2395f6a8e9351eaa1bcbd316d50965fc8
DIST Django-3.2.25.checksum.txt 2560 BLAKE2B e082c588f4e124c9d71c1914e475fd70ed9b68583d65ea59ba0822b96de36c2edc98b4d9192f3d7c75467306fe03404303f6c2a98a026bdb5308bbd1dee89f99 SHA512 49a1610dcd61cbd322f0a5d7fe3cf249c0c4288b194fc8c2bdf7ec6fb8f92b69ca68dcdb71b79998cd80b978b70f48069669d996b6503261ba726c77c8b87672
DIST Django-3.2.25.tar.gz 9836336 BLAKE2B 586520e0689b2594dd8ce4abb173418aedfde80cc84012d2a4207cbfc67120cbf405a8dfc8d069bb946f027f0eef22b233bd3b3ce569b01ea8fdc7836a6e530f SHA512 ccba83abd1777123186d685e21b96f41abf216a692d18ffe764d2e519eb9d1f6011d08c86b3affdd891591ca4ed7fee27ffa4750d19b486ca775ee680fdb0cb1
-DIST Django-4.2.10.checksum.txt 2583 BLAKE2B 5529d8d83fb2ed7ca644ab929809f13ac59225f23b9590f3ab97d4926da7e10d6d3f47e2638c845e7b2cff3c1dd2a0ed50105d23bf3eff4c689811e1785a0661 SHA512 64bec1d2f31627d9347b93b1d947b80eee70257bc967393dfe8af5b56d845ec21ffdd2aba11106a5b4fe13d55a51949b8b156b341eca4327082fd21ee0db35b4
-DIST Django-4.2.10.tar.gz 10425081 BLAKE2B ad014b3592d8f5d13d02aa91a029c8cdf85a9e0d3e1b1d3234c833523668059622077eda2fda6cabfd824cf6610b19ca3dc2ceb76c480bde6e97b946812ee162 SHA512 af8c4d596c6ede8a5da9ae0f435ca5c2c17f38b0ff3f31f058e36df695c767813b48f7260bbb8d8a261ef36f836fe1abffc563de185af51080dae1cf3f037f69
DIST Django-4.2.11.checksum.txt 2560 BLAKE2B 75359ca138515642b4cb4bb17f4e5f18f94d9c4b5a98fe62f4813068d3dfccfa6c3fe1a2ae9ec24758610d0c5c8fe899b54f39b9cd657a92635e8cd7c6f7dcf0 SHA512 9ab3700f2675380dd6e18b5cc1ebbf4fbbd31680079e9232f96133810956e3ab5a46eefa45103a90bbec9d0ba85cc54f5cc2dd4f3d69c64960724f2821ecf3f3
DIST Django-4.2.11.tar.gz 10426858 BLAKE2B bce1611700383831138a467cfdc3ad2780385429be040d197cb757206c3d1b4c82075cf6766f8222d0c061ee7c0a7a48caf8cd28e8fe6271c39dc47899c4b276 SHA512 5842f0c2592b695ecfd7f00d250075cb9581efc8a7f389f155dbac74d80ac7899f600ffba0d51e3391f15c4a1444554d901b8a673a1091ab7269e24862122ef0
-DIST Django-5.0.2.checksum.txt 2573 BLAKE2B 705a85beaa4e277fe689d10784f10808b4a06cbb1af7d2417e812d78669256b53d5a2c7678997e96eeb0942c4b31c008628255bb8819e43cbae790b899daa04e SHA512 b37745d0905a2af5793e98c2e00d644f845bcbd236253165cf223b9c748a3f95e6d755d258706769d31fd1009f0815fe1708f6bdb9074343797bb906851ade1a
-DIST Django-5.0.2.tar.gz 10619702 BLAKE2B 82608309047fc28f0c3cff15ecfa921b95bae7e2045a75da06e6db4acd74a7508a545ef9419d7b59861832feb6849112d76b49bd87740b797508cfdbaeaf23f6 SHA512 a9270eafb0e270222740ae94b2f866eddaab296768253f0d84c78760a2ac442e0f648af55f74b9b07082f4ccc4eeb91c4facdfdc32ec770936015524fcf4838f
DIST Django-5.0.3.checksum.txt 2550 BLAKE2B d69fe42e77a1163509f570488b5744571b314b4f24aa0b2f3727ad26ccc53cdc4e16a4b53f21d7e31b0e120462b68397cb31cceded5f4f2d4f0fc9f7afd0f1ee SHA512 abf04cf4fb43f51a8ecef8924e000680184cbb39a9a1a80b679dd1b5cd1e8a90870bc9749b84a6ada79c76cf9c8adb7f870ac0c7ebad68330e8731acdaf3ff22
DIST Django-5.0.3.tar.gz 10620661 BLAKE2B eaf2f04abf73ad36f7e7825d3655319fbab2268bf5da67ad112e2662f5f5c1bab16d485c75c681ec7e203c111b9676dab2f3552e599a5592a90981e6f7cc75eb SHA512 ed1899007898fc1f6c0889b28fc94016aa9cd2a3556f486bf77efc4310d04896c73bcef93fb4c9162ce884da01c557f6343a20da15a7d6cf2193fd9e88e0dadb
DIST django-4.2.8-pypy3.patch.xz 5900 BLAKE2B b7dc5c5fc162817a218ee6d025ed8a65559b80e4506e49ac393428c26e2621f9e7c5010b36f2412dea8194a9f1086ab21f97286eabd696c6a786285eb07393cf SHA512 f953b5adbd1364f1d84dde55087ccb493256b1327701275fd2fe99f3cd41751d18e002b6e21afc96892e1671428a6b8f3c2e4b88252c3c278f1a79e286bb73e3
diff --git a/dev-python/django/django-3.2.24.ebuild b/dev-python/django/django-3.2.24.ebuild
deleted file mode 100644
index 6d05a451e0dd..000000000000
--- a/dev-python/django/django-3.2.24.ebuild
+++ /dev/null
@@ -1,109 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-PYTHON_REQ_USE='sqlite?,threads(+)'
-
-inherit bash-completion-r1 distutils-r1 optfeature verify-sig
-
-DESCRIPTION="High-level Python web framework"
-HOMEPAGE="
- https://www.djangoproject.com/
- https://github.com/django/django/
- https://pypi.org/project/Django/
-"
-SRC_URI="
- https://media.djangoproject.com/releases/$(ver_cut 1-2)/${P^}.tar.gz
- verify-sig? ( https://media.djangoproject.com/pgp/${P^}.checksum.txt )
-"
-S="${WORKDIR}/${P^}"
-
-LICENSE="BSD"
-# admin fonts: Roboto (media-fonts/roboto)
-LICENSE+=" Apache-2.0"
-# admin icons, jquery, xregexp.js
-LICENSE+=" MIT"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 ~ppc ~ppc64 ~riscv ~sparc x86 ~x64-macos"
-IUSE="doc sqlite test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- >=dev-python/asgiref-3.3.4[${PYTHON_USEDEP}]
- dev-python/pytz[${PYTHON_USEDEP}]
- >=dev-python/sqlparse-0.2.2[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- $(python_gen_impl_dep sqlite)
- ${RDEPEND}
- dev-python/docutils[${PYTHON_USEDEP}]
- dev-python/jinja[${PYTHON_USEDEP}]
- dev-python/numpy[${PYTHON_USEDEP}]
- dev-python/pillow[webp,${PYTHON_USEDEP}]
- dev-python/pyyaml[${PYTHON_USEDEP}]
- dev-python/selenium[${PYTHON_USEDEP}]
- dev-python/tblib[${PYTHON_USEDEP}]
- sys-devel/gettext
- )
- verify-sig? ( >=sec-keys/openpgp-keys-django-20201201 )
-"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-3.1-bashcomp.patch
- "${FILESDIR}"/django-3.2.19-py311.patch
- # needed for Python 3.11
- "${FILESDIR}"/django-3.2.20-urlsplit.patch
-)
-
-distutils_enable_sphinx docs --no-autodoc
-
-VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/django.asc
-
-src_unpack() {
- if use verify-sig; then
- cd "${DISTDIR}" || die
- verify-sig_verify_signed_checksums \
- "${P^}.checksum.txt" sha256 "${P^}.tar.gz"
- cd "${WORKDIR}" || die
- fi
-
- default
-}
-
-python_prepare_all() {
- # Fails because of warnings
- sed -i 's/test_dumpdata_proxy_with_concrete/_&/' tests/fixtures/tests.py || die
- # TODO: this suddenly started failing
- sed -i -e 's:test_custom_fields:_&:' tests/inspectdb/tests.py || die
-
- distutils-r1_python_prepare_all
-}
-
-python_test() {
- # Tests have non-standard assumptions about PYTHONPATH,
- # and don't work with ${BUILD_DIR}/lib.
- PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite -v2 ||
- die "Tests fail with ${EPYTHON}"
-}
-
-python_install_all() {
- newbashcomp extras/django_bash_completion ${PN}-admin
- bashcomp_alias ${PN}-admin django-admin.py
-
- distutils-r1_python_install_all
-}
-
-pkg_postinst() {
- optfeature_header "Additional Backend support can be enabled via:"
- optfeature "MySQL backend support" dev-python/mysqlclient
- optfeature "PostgreSQL backend support" dev-python/psycopg:2
- optfeature_header
- optfeature "GEO Django" "sci-libs/gdal[geos]"
- optfeature "Memcached support" dev-python/pylibmc dev-python/python-memcached
- optfeature "ImageField Support" dev-python/pillow
- optfeature "Password encryption" dev-python/bcrypt
-}
diff --git a/dev-python/django/django-3.2.25.ebuild b/dev-python/django/django-3.2.25.ebuild
index ddca31be43e2..6d05a451e0dd 100644
--- a/dev-python/django/django-3.2.25.ebuild
+++ b/dev-python/django/django-3.2.25.ebuild
@@ -27,7 +27,7 @@ LICENSE+=" Apache-2.0"
# admin icons, jquery, xregexp.js
LICENSE+=" MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+KEYWORDS="amd64 arm arm64 ~ppc ~ppc64 ~riscv ~sparc x86 ~x64-macos"
IUSE="doc sqlite test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/django/django-4.2.10.ebuild b/dev-python/django/django-4.2.10.ebuild
deleted file mode 100644
index 4d4ff6d7ea31..000000000000
--- a/dev-python/django/django-4.2.10.ebuild
+++ /dev/null
@@ -1,100 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
-PYTHON_REQ_USE='sqlite?,threads(+)'
-
-inherit bash-completion-r1 distutils-r1 multiprocessing optfeature verify-sig
-
-DESCRIPTION="High-level Python web framework"
-HOMEPAGE="
- https://www.djangoproject.com/
- https://github.com/django/django/
- https://pypi.org/project/Django/
-"
-SRC_URI="
- https://media.djangoproject.com/releases/$(ver_cut 1-2)/${P^}.tar.gz
- https://dev.gentoo.org/~mgorny/dist/python/django-4.2.8-pypy3.patch.xz
- verify-sig? ( https://media.djangoproject.com/pgp/${P^}.checksum.txt )
-"
-S="${WORKDIR}/${P^}"
-
-LICENSE="BSD"
-# admin fonts: Roboto (media-fonts/roboto)
-LICENSE+=" Apache-2.0"
-# admin icons, jquery, xregexp.js
-LICENSE+=" MIT"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc x86 ~x64-macos"
-IUSE="doc sqlite test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- <dev-python/asgiref-4[${PYTHON_USEDEP}]
- >=dev-python/asgiref-3.6.0[${PYTHON_USEDEP}]
- >=dev-python/sqlparse-0.3.1[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- $(python_gen_impl_dep sqlite)
- ${RDEPEND}
- dev-python/docutils[${PYTHON_USEDEP}]
- dev-python/jinja[${PYTHON_USEDEP}]
- dev-python/numpy[${PYTHON_USEDEP}]
- dev-python/pillow[webp,${PYTHON_USEDEP}]
- dev-python/pyyaml[${PYTHON_USEDEP}]
- dev-python/selenium[${PYTHON_USEDEP}]
- dev-python/tblib[${PYTHON_USEDEP}]
- sys-devel/gettext
- )
- verify-sig? ( >=sec-keys/openpgp-keys-django-20230606 )
-"
-
-PATCHES=(
- "${FILESDIR}"/django-4.0-bashcomp.patch
- "${WORKDIR}"/django-4.2.8-pypy3.patch
-)
-
-distutils_enable_sphinx docs --no-autodoc
-
-VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/django.asc
-
-src_unpack() {
- if use verify-sig; then
- cd "${DISTDIR}" || die
- verify-sig_verify_signed_checksums \
- "${P^}.checksum.txt" sha256 "${P^}.tar.gz"
- cd "${WORKDIR}" || die
- fi
-
- default
-}
-
-python_test() {
- # Tests have non-standard assumptions about PYTHONPATH,
- # and don't work with ${BUILD_DIR}/lib.
- PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite \
- -v2 --parallel="${EPYTEST_JOBS:-$(makeopts_jobs)}" ||
- die "Tests fail with ${EPYTHON}"
-}
-
-python_install_all() {
- newbashcomp extras/django_bash_completion ${PN}-admin
- bashcomp_alias ${PN}-admin django-admin.py
-
- distutils-r1_python_install_all
-}
-
-pkg_postinst() {
- optfeature_header "Additional Backend support can be enabled via:"
- optfeature "MySQL backend support" dev-python/mysqlclient
- optfeature "PostgreSQL backend support" dev-python/psycopg:0
- optfeature_header
- optfeature "GEO Django" "sci-libs/gdal[geos]"
- optfeature "Memcached support" dev-python/pylibmc dev-python/python-memcached
- optfeature "ImageField Support" dev-python/pillow
- optfeature "Password encryption" dev-python/bcrypt
-}
diff --git a/dev-python/django/django-4.2.11.ebuild b/dev-python/django/django-4.2.11.ebuild
index 30e05afacd88..4d4ff6d7ea31 100644
--- a/dev-python/django/django-4.2.11.ebuild
+++ b/dev-python/django/django-4.2.11.ebuild
@@ -28,7 +28,7 @@ LICENSE+=" Apache-2.0"
# admin icons, jquery, xregexp.js
LICENSE+=" MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+KEYWORDS="amd64 arm arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc x86 ~x64-macos"
IUSE="doc sqlite test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/django/django-5.0.2.ebuild b/dev-python/django/django-5.0.2.ebuild
deleted file mode 100644
index 02bbdc28d0b1..000000000000
--- a/dev-python/django/django-5.0.2.ebuild
+++ /dev/null
@@ -1,100 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
-PYTHON_REQ_USE='sqlite?,threads(+)'
-
-inherit bash-completion-r1 distutils-r1 multiprocessing optfeature verify-sig
-
-DESCRIPTION="High-level Python web framework"
-HOMEPAGE="
- https://www.djangoproject.com/
- https://github.com/django/django/
- https://pypi.org/project/Django/
-"
-SRC_URI="
- https://media.djangoproject.com/releases/$(ver_cut 1-2)/${P^}.tar.gz
- https://dev.gentoo.org/~mgorny/dist/python/django-5.0-pypy3.patch.xz
- verify-sig? ( https://media.djangoproject.com/pgp/${P^}.checksum.txt )
-"
-S="${WORKDIR}/${P^}"
-
-LICENSE="BSD"
-# admin fonts: Roboto (media-fonts/roboto)
-LICENSE+=" Apache-2.0"
-# admin icons, jquery, xregexp.js
-LICENSE+=" MIT"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc x86 ~x64-macos"
-IUSE="doc sqlite test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- <dev-python/asgiref-4[${PYTHON_USEDEP}]
- >=dev-python/asgiref-3.7.0[${PYTHON_USEDEP}]
- >=dev-python/sqlparse-0.3.1[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- $(python_gen_impl_dep sqlite)
- ${RDEPEND}
- >=dev-python/docutils-0.19[${PYTHON_USEDEP}]
- >=dev-python/jinja-2.11.0[${PYTHON_USEDEP}]
- dev-python/numpy[${PYTHON_USEDEP}]
- dev-python/pillow[webp,${PYTHON_USEDEP}]
- dev-python/pyyaml[${PYTHON_USEDEP}]
- >=dev-python/selenium-4.8.0[${PYTHON_USEDEP}]
- >=dev-python/tblib-1.5.0[${PYTHON_USEDEP}]
- sys-devel/gettext
- )
- verify-sig? ( >=sec-keys/openpgp-keys-django-20230606 )
-"
-
-PATCHES=(
- "${FILESDIR}"/django-4.0-bashcomp.patch
- "${WORKDIR}"/django-5.0-pypy3.patch
-)
-
-distutils_enable_sphinx docs --no-autodoc
-
-VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/django.asc
-
-src_unpack() {
- if use verify-sig; then
- cd "${DISTDIR}" || die
- verify-sig_verify_signed_checksums \
- "${P^}.checksum.txt" sha256 "${P^}.tar.gz"
- cd "${WORKDIR}" || die
- fi
-
- default
-}
-
-python_test() {
- # Tests have non-standard assumptions about PYTHONPATH,
- # and don't work with ${BUILD_DIR}/lib.
- PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite \
- -v2 --parallel="${EPYTEST_JOBS:-$(makeopts_jobs)}" ||
- die "Tests fail with ${EPYTHON}"
-}
-
-python_install_all() {
- newbashcomp extras/django_bash_completion ${PN}-admin
- bashcomp_alias ${PN}-admin django-admin.py
-
- distutils-r1_python_install_all
-}
-
-pkg_postinst() {
- optfeature_header "Additional Backend support can be enabled via:"
- optfeature "MySQL backend support" dev-python/mysqlclient
- optfeature "PostgreSQL backend support" dev-python/psycopg:0
- optfeature_header
- optfeature "GEO Django" "sci-libs/gdal[geos]"
- optfeature "Memcached support" dev-python/pylibmc dev-python/python-memcached
- optfeature "ImageField Support" dev-python/pillow
- optfeature "Password encryption" dev-python/bcrypt
-}
diff --git a/dev-python/django/django-5.0.3.ebuild b/dev-python/django/django-5.0.3.ebuild
index 1cf1d39d0426..02bbdc28d0b1 100644
--- a/dev-python/django/django-5.0.3.ebuild
+++ b/dev-python/django/django-5.0.3.ebuild
@@ -28,7 +28,7 @@ LICENSE+=" Apache-2.0"
# admin icons, jquery, xregexp.js
LICENSE+=" MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+KEYWORDS="amd64 arm arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc x86 ~x64-macos"
IUSE="doc sqlite test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/urwid/Manifest b/dev-python/urwid/Manifest
index bea8298d4866..807fcf56bd17 100644
--- a/dev-python/urwid/Manifest
+++ b/dev-python/urwid/Manifest
@@ -1,5 +1,3 @@
-DIST urwid-2.3.4.tar.gz 678305 BLAKE2B 1b0de4ae4a18751275de968da9899e934277d8f9ac24cd1363ec9bbef48492f5fc6e00785c75447c8eddba2952fb37689b1e2b7b74a430590020b3aa77979f16 SHA512 e1ed9357b738975c909f847a2f12292cfad1cf824be9d3818ca0de3d1ca5c992ba89d5cea25888db3a8bb6c73a64b94ecb1df0a19d5af7f7b060bd113f93a8dd
-DIST urwid-2.4.6.tar.gz 801434 BLAKE2B 52b6cd256fbb6f7296619140c0d2cc9dacb910b3666dedb5e53f6c9c66eb17c628c2da7ec3e61ac7c24c9359161a032228bfa676ea9e53169ff3bef873782af3 SHA512 b7255b5f5f274fec952edb808ff859289dbd75f0600f3ddf1b608111f0fef50955efadeb1c1792fe16f5adc6c12a3641bfb50e42bbf8c07b10f431ca50cc0766
DIST urwid-2.5.3.tar.gz 848047 BLAKE2B 42815e22f2659ee25736767391afbf0189b5bec9d1100ce7631efd037989cfacac7ee921666e2400e1ef7ef114261a948cfac172ac993753ce151b370361d375 SHA512 80c32138347a618fc40e1a26fd174e708a9f8e4e9a8e09edc1d9261a9d73a644e356ce375654a55b5fb8838a820b8ba8b1cc47560c5b44c5c74677399845f578
-DIST urwid-2.6.5.tar.gz 851570 BLAKE2B c99833701b83427005726d9a0d5e1c52f2308617bd7a953370495b0a35fd904c2544a186dd9f74d571045d4dc74af285f9a1da0e3357fdd85ed5ae0162aca3ba SHA512 813b4cfc3f4d418475fdd23b84bf591a6affc30522b18e9f58c067bd71f3bc98962f50866a4b34974d66287a7e5600fdfdf9955fea6cb94c08c1c11a4515e5a8
DIST urwid-2.6.7.tar.gz 854504 BLAKE2B 691971a3f1c588fa9ffdf7abbd8a7499c199853cdb071028d138b836a11ef8fbba6427ab40ad7f22b86e8cb3ae6019f55a79beef8a5d212b750e32feaf6acf76 SHA512 66aaf0e6dfc730db03a6ada0fe8fcdbe15a772b90d621fbedf335302c3d212602b81df7c95be035d6a37c38c6714c896994783ab0de519c01f861a7666ec4f1b
+DIST urwid-2.6.8.tar.gz 854980 BLAKE2B 4168bcd59710ee46e2af408e5e6331585ee2a260ca94990ff947d259d9aad7153750e6c2fc2e227ad00ce42aeeba063b5b11dd89e83f6c30548a6df5ed992e8f SHA512 34617104804f9eb710d5ed51c95c4d2f6354861f07a2d652b99109c59941561985d9717f928ba77990b3e0406723da02b1eb67d9f2236f31888a21b9de109e2e
diff --git a/dev-python/urwid/metadata.xml b/dev-python/urwid/metadata.xml
index 18cf61b019cb..83de33e11055 100644
--- a/dev-python/urwid/metadata.xml
+++ b/dev-python/urwid/metadata.xml
@@ -2,10 +2,6 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
- <email>dev@liguros.net</email>
- <name>Development</name>
- </maintainer>
- <maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
</maintainer>
@@ -27,5 +23,5 @@ useful for text console application developers including:
- Easy interface for creating HTML screen shots
</longdescription>
- <origin>ports</origin>
+ <origin>gentoo-staging</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/urwid/urwid-2.3.4.ebuild b/dev-python/urwid/urwid-2.3.4.ebuild
deleted file mode 100644
index cf7dd4bdbc48..000000000000
--- a/dev-python/urwid/urwid-2.3.4.ebuild
+++ /dev/null
@@ -1,30 +0,0 @@
-# Copyright 2023 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-PYTHON_REQ_USE="ncurses"
-
-inherit distutils-r1
-
-DESCRIPTION="Curses-based user interface library for Python"
-HOMEPAGE="http://urwid.org/ https://pypi.org/project/urwid/ https://github.com/urwid/urwid/"
-SRC_URI="https://files.pythonhosted.org/packages/97/52/0f9b7a2414ec1fea3aff598adffb9865782d95906fd79b42daec99af4043/urwid-2.3.4.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
-IUSE="examples"
-
-distutils_enable_sphinx docs
-distutils_enable_tests setup.py
-
-src_prepare() {
- distutils-r1_src_prepare
-}
-
-python_install_all() {
- use examples && dodoc -r examples
- distutils-r1_python_install_all
- python_optimize
-}
diff --git a/dev-python/urwid/urwid-2.4.6.ebuild b/dev-python/urwid/urwid-2.4.6.ebuild
deleted file mode 100644
index 8bc1466ce598..000000000000
--- a/dev-python/urwid/urwid-2.4.6.ebuild
+++ /dev/null
@@ -1,30 +0,0 @@
-# Copyright 2023-2024 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-PYTHON_REQ_USE="ncurses"
-
-inherit distutils-r1
-
-DESCRIPTION="Curses-based user interface library for Python"
-HOMEPAGE="http://urwid.org/ https://pypi.org/project/urwid/ https://github.com/urwid/urwid/"
-SRC_URI="https://files.pythonhosted.org/packages/89/18/5450f03103fca5f6cae6c3b6451cbc7ea776600fa4cc37db362ec17d1129/urwid-2.4.6.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
-IUSE="examples"
-
-distutils_enable_sphinx docs
-distutils_enable_tests setup.py
-
-src_prepare() {
- distutils-r1_src_prepare
-}
-
-python_install_all() {
- use examples && dodoc -r examples
- distutils-r1_python_install_all
- python_optimize
-}
diff --git a/dev-python/urwid/urwid-2.5.3.ebuild b/dev-python/urwid/urwid-2.5.3.ebuild
index 45d7cb910b2e..73b758a98078 100644
--- a/dev-python/urwid/urwid-2.5.3.ebuild
+++ b/dev-python/urwid/urwid-2.5.3.ebuild
@@ -1,30 +1,43 @@
-# Copyright 2023-2024 Liguros Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
+
EAPI=8
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8,9,10,11,12} )
PYTHON_REQ_USE="ncurses"
-inherit distutils-r1
+inherit distutils-r1 optfeature pypi
DESCRIPTION="Curses-based user interface library for Python"
-HOMEPAGE="http://urwid.org/ https://pypi.org/project/urwid/ https://github.com/urwid/urwid/"
-SRC_URI="https://files.pythonhosted.org/packages/bb/18/5312d4b55ab8f69cb82de25a68ed2efd303409bc564f403623f561e8cfde/urwid-2.5.3.tar.gz"
+HOMEPAGE="
+ https://urwid.org/
+ https://pypi.org/project/urwid/
+ https://github.com/urwid/urwid/
+"
LICENSE="LGPL-2.1"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 ~ia64 ~loong ~mips ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux"
IUSE="examples"
-distutils_enable_sphinx docs
-distutils_enable_tests setup.py
+RDEPEND="
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
-src_prepare() {
- distutils-r1_src_prepare
+python_test() {
+ rm -rf urwid || die
+ eunittest
}
python_install_all() {
use examples && dodoc -r examples
distutils-r1_python_install_all
- python_optimize
+}
+
+pkg_postinst() {
+ optfeature "Trio event loop" "dev-python/trio"
}
diff --git a/dev-python/urwid/urwid-2.6.5.ebuild b/dev-python/urwid/urwid-2.6.5.ebuild
deleted file mode 100644
index 7a7945ac4ffd..000000000000
--- a/dev-python/urwid/urwid-2.6.5.ebuild
+++ /dev/null
@@ -1,30 +0,0 @@
-# Copyright 2023-2024 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-PYTHON_REQ_USE="ncurses"
-
-inherit distutils-r1
-
-DESCRIPTION="Curses-based user interface library for Python"
-HOMEPAGE="http://urwid.org/ https://pypi.org/project/urwid/ https://github.com/urwid/urwid/"
-SRC_URI="https://files.pythonhosted.org/packages/d3/7d/3fcee8213c969683fc30392d92e3b066de65f53a771fbdfca40be01ea28b/urwid-2.6.5.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
-IUSE="examples"
-
-distutils_enable_sphinx docs
-distutils_enable_tests setup.py
-
-src_prepare() {
- distutils-r1_src_prepare
-}
-
-python_install_all() {
- use examples && dodoc -r examples
- distutils-r1_python_install_all
- python_optimize
-}
diff --git a/dev-python/urwid/urwid-2.6.7.ebuild b/dev-python/urwid/urwid-2.6.7.ebuild
index 1c214f3e2c60..d33150d89fcb 100644
--- a/dev-python/urwid/urwid-2.6.7.ebuild
+++ b/dev-python/urwid/urwid-2.6.7.ebuild
@@ -1,30 +1,47 @@
-# Copyright 2023-2024 Liguros Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
+
EAPI=8
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8,9,10,11,12} )
PYTHON_REQ_USE="ncurses"
-inherit distutils-r1
+inherit distutils-r1 optfeature pypi
DESCRIPTION="Curses-based user interface library for Python"
-HOMEPAGE="http://urwid.org/ https://pypi.org/project/urwid/ https://github.com/urwid/urwid/"
-SRC_URI="https://files.pythonhosted.org/packages/8c/58/51172f1f71955522f75d5e19654509afce6ceecdd9ce61a7bcba502d5903/urwid-2.6.7.tar.gz"
+HOMEPAGE="
+ https://urwid.org/
+ https://pypi.org/project/urwid/
+ https://github.com/urwid/urwid/
+"
LICENSE="LGPL-2.1"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
IUSE="examples"
-distutils_enable_sphinx docs
-distutils_enable_tests setup.py
+RDEPEND="
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
-src_prepare() {
- distutils-r1_src_prepare
+python_test() {
+ rm -rf urwid || die
+ eunittest
}
python_install_all() {
use examples && dodoc -r examples
distutils-r1_python_install_all
- python_optimize
+}
+
+pkg_postinst() {
+ optfeature "Trio event loop" "dev-python/trio"
}
diff --git a/dev-python/urwid/urwid-2.6.8.ebuild b/dev-python/urwid/urwid-2.6.8.ebuild
new file mode 100644
index 000000000000..d33150d89fcb
--- /dev/null
+++ b/dev-python/urwid/urwid-2.6.8.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+PYTHON_REQ_USE="ncurses"
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="Curses-based user interface library for Python"
+HOMEPAGE="
+ https://urwid.org/
+ https://pypi.org/project/urwid/
+ https://github.com/urwid/urwid/
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples"
+
+RDEPEND="
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+python_test() {
+ rm -rf urwid || die
+ eunittest
+}
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "Trio event loop" "dev-python/trio"
+}
diff --git a/dev-python/uv/Manifest b/dev-python/uv/Manifest
new file mode 100644
index 000000000000..2a2ba9407d8e
--- /dev/null
+++ b/dev-python/uv/Manifest
@@ -0,0 +1,4 @@
+DIST pubgrub-aab132a3d4d444dd8dd41d8c4e605abd69dacfe1.gh.tar.gz 73856 BLAKE2B 9e30babd5159de0f80a69de082e990cade3768a4f62c64ecec46253b1c8a3da56a61d096f0cd2e74da436cbabb444c5acbfe27cc55160a5c0c99205c0317612a SHA512 f49c63df7394fcd4ce6a616e3c8d7893274f4bbe4d451f3fb46eed80a3e03eb345818c5ff87e9d3ac23c80ea7ffee5de01237a5dfff40f740f88a6d61eab5f81
+DIST rs-async-zip-d76801da0943de985254fc6255c0e476b57c5836.gh.tar.gz 95906 BLAKE2B a5a0e4d20926d637cbfa25cb486580de6682365c588a9653c873622424ec28ac8c7380d1c99ec260cd342b214aacd5124b51fc5e5646f15f76db4148aada2f41 SHA512 dd5b61bfc913a94822d74f1dac3b30f7a3979a641c3b08ccb5fa84cfbb2bfd8c0f807a30cc4ae0abfe5df7079011c20e1f8a642fd439ce6ba2c404ddee06baf5
+DIST uv-0.1.13-crates.tar.xz 47903460 BLAKE2B da7a2f023054197820cd1bcd13c6e4ff6d4c4bc4780fa109b2c5b796830333f21bc4c7f426052f7ed31a6c02f4e28694cfd94b1aa9d3044ebde49570e565c04b SHA512 cce73590c12a082fed36092bada42b878437cc44137f47c47b4e0e6fae214295867fbda90576d8ed47b025d873dc5655ab74c9914d6ccbaf6cea994b793800d5
+DIST uv-0.1.13.gh.tar.gz 1860446 BLAKE2B e5c209e11ea10a0aa8a88d4d40b40fe84cdd764cab1e852b49a52d8ff8749aac59d62234626fa768e6b1c304ee7b7a54cf99f5af4ecf21b368a1b521a8f903df SHA512 dc00cc26bc3b8e30edcc619bd49ff44962180623be8d1e2d7dc7c2b1c29969c8b393eda31b1392d90f0d72c15f2cb19af489e1e44f857225e461393c4b4b96c1
diff --git a/dev-python/uv/files/uv-0.1.13-skip-tests.patch b/dev-python/uv/files/uv-0.1.13-skip-tests.patch
new file mode 100644
index 000000000000..5dccfe525f81
--- /dev/null
+++ b/dev-python/uv/files/uv-0.1.13-skip-tests.patch
@@ -0,0 +1,48 @@
+diff --git a/crates/uv/tests/pip_compile_scenarios.rs b/crates/uv/tests/pip_compile_scenarios.rs
+index 2cbece6d..9b785300 100644
+--- a/crates/uv/tests/pip_compile_scenarios.rs
++++ b/crates/uv/tests/pip_compile_scenarios.rs
+@@ -118,3 +118,2 @@ fn requires_incompatible_python_version_compatible_override() -> Result<()> {
+ /// ```
+-#[test]
+ fn requires_compatible_python_version_incompatible_override() -> Result<()> {
+diff --git a/crates/uv/tests/pip_install_scenarios.rs b/crates/uv/tests/pip_install_scenarios.rs
+index e0ad34ec..87bff298 100644
+--- a/crates/uv/tests/pip_install_scenarios.rs
++++ b/crates/uv/tests/pip_install_scenarios.rs
+@@ -2369,3 +2369,2 @@ fn requires_python_version_greater_than_current() {
+ /// ```
+-#[test]
+ fn requires_python_version_greater_than_current_patch() {
+diff --git a/crates/uv/tests/pip_list.rs b/crates/uv/tests/pip_list.rs
+index 71bdf344..b80fea5f 100644
+--- a/crates/uv/tests/pip_list.rs
++++ b/crates/uv/tests/pip_list.rs
+@@ -95,3 +95,2 @@ fn single_no_editable() -> Result<()> {
+
+-#[test]
+ fn editable() -> Result<()> {
+@@ -197,3 +196,2 @@ fn editable() -> Result<()> {
+
+-#[test]
+ fn editable_only() -> Result<()> {
+@@ -328,3 +326,2 @@ fn editable_only() -> Result<()> {
+
+-#[test]
+ fn exclude() -> Result<()> {
+diff --git a/crates/uv/tests/pip_sync.rs b/crates/uv/tests/pip_sync.rs
+index bcb1fd55..b68787db 100644
+--- a/crates/uv/tests/pip_sync.rs
++++ b/crates/uv/tests/pip_sync.rs
+@@ -1440,3 +1440,2 @@ fn install_git_source_dist_cached() -> Result<()> {
+ /// Check that we show the right messages on cached, registry source distribution installs.
+-#[test]
+ fn install_registry_source_dist_cached() -> Result<()> {
+diff --git a/crates/uv/tests/venv.rs b/crates/uv/tests/venv.rs
+index ea3c213f..c6ed2233 100644
+--- a/crates/uv/tests/venv.rs
++++ b/crates/uv/tests/venv.rs
+@@ -340,3 +340,2 @@ fn create_venv_unknown_python_patch() -> Result<()> {
+
+-#[test]
+ fn create_venv_python_patch() -> Result<()> {
diff --git a/dev-python/uv/metadata.xml b/dev-python/uv/metadata.xml
new file mode 100644
index 000000000000..7ad11570cc7d
--- /dev/null
+++ b/dev-python/uv/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/uv/uv-0.1.13.ebuild b/dev-python/uv/uv-0.1.13.ebuild
new file mode 100644
index 000000000000..11c9289c98f5
--- /dev/null
+++ b/dev-python/uv/uv-0.1.13.ebuild
@@ -0,0 +1,96 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+"
+
+declare -A GIT_CRATES=(
+ [async_zip]='https://github.com/charliermarsh/rs-async-zip;d76801da0943de985254fc6255c0e476b57c5836;rs-async-zip-%commit%'
+ [pubgrub]='https://github.com/zanieb/pubgrub;aab132a3d4d444dd8dd41d8c4e605abd69dacfe1;pubgrub-%commit%'
+)
+
+inherit cargo check-reqs
+
+DESCRIPTION="A Python package installer and resolver, written in Rust"
+HOMEPAGE="
+ https://github.com/astral-sh/uv/
+ https://pypi.org/project/uv/
+"
+# pypi sdist misses scripts/, needed for tests
+SRC_URI="
+ https://github.com/astral-sh/uv/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ ${CARGO_CRATE_URIS}
+"
+if [[ ${PKGBUMPING} != ${PVR} ]]; then
+ SRC_URI+="
+ https://dev.gentoo.org/~mgorny/dist/${P}-crates.tar.xz
+ "
+fi
+
+# most of the code
+LICENSE="|| ( Apache-2.0 MIT )"
+# crates/pep508-rs is || ( Apache-2.0 BSD-2 ) which is covered below
+# Dependent crate licenses
+LICENSE+="
+ 0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD ISC MIT
+ MPL-2.0 Unicode-DFS-2016
+"
+# ring crate
+LICENSE+=" openssl"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="test"
+PROPERTIES="test_network"
+
+BDEPEND="
+ test? (
+ dev-lang/python:3.8
+ dev-lang/python:3.9
+ dev-lang/python:3.10
+ dev-lang/python:3.11
+ dev-lang/python:3.12
+ )
+"
+
+PATCHES=(
+ # skip broken tests:
+ # - requiring pinned CPython versions (3.8.12, 3.11.7, 3.12.1)
+ # - requiring specific terminal width (COLUMNS don't seem to work)
+ # - other (perhaps failing because of other skipped tests?)
+ "${FILESDIR}/uv-0.1.13-skip-tests.patch"
+)
+
+QA_FLAGS_IGNORED="usr/bin/.*"
+
+check_space() {
+ local CHECKREQS_DISK_BUILD=3G
+ use debug && CHECKREQS_DISK_BUILD=9G
+ check-reqs_pkg_setup
+}
+
+pkg_pretend() {
+ check_space
+}
+
+pkg_setup() {
+ check_space
+}
+
+src_compile() {
+ cd crates/uv || die
+ cargo_src_compile
+}
+
+src_test() {
+ cd crates/uv || die
+ cargo_src_test
+}
+
+src_install() {
+ cd crates/uv || die
+ cargo_src_install
+}